Subject: Re: bug#40273: installer: No way to input Latin characters with non-Latin keyboard layouts

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sun, 5 Apr 2020 22:02:12 +0200

On Sun, Apr 05, 2020 at 04:03:54PM +0200, Ludovic Courtès wrote:
> Can you confirm you see this problem?

In my actual system configuration I have French layout in GDM and
console with today’s git master.  No problem.  I changed:

diff --git a/config.scm b/config.scm
index 4db5560..1cf1578 100644
--- a/config.scm
+++ b/config.scm
@@ -29,7 +29,8 @@
  (timezone "Europe/Berlin")
  (locale "tr_TR.utf8")
  (keyboard-layout
-  (keyboard-layout "us" "altgr-intl"))
+  (keyboard-layout "fr"))
+;;  (keyboard-layout "us" "altgr-intl"))
 
  (bootloader (bootloader-configuration
               (bootloader grub-efi-bootloader)
@@ -177,6 +178,7 @@ Options +Indexes"))))))
                                     ,gnome-online-accounts)))))))
                     (set-xorg-configuration
                      (xorg-configuration
+                      (keyboard-layout keyboard-layout)
                       (modules
                        (list ;;xf86-video-vesa
                              xf86-video-fbdev

In QEMU guix system vm, I cannot get GDM to display more than a mouse
pointer no matter the graphics options I try (-vga std or cirrus or
nomodeset+uvesafb).  This is an unrelated bug, probably not Guix’
fault, though I had not tried GDM in QEMU before.  I wanted to try
guix system vm-image (expecting another GDM failure), but after many
hours building the vm-image failed because I had misconfigured the
bootloader EFI file-system.

Regards,
Florian